> ## Documentation Index
> Fetch the complete documentation index at: https://docs.chargeapi.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve an Estimation

Retrieves an estimation. Use this endpoint to display a previously calculated estimate without recalculating it.

<RequestExample>
  ```bash cURL theme={null}
  curl https://api.chargeapi.co/v1/estimations/est_Q2ySLHRmzrj0JGczEMUtd5JL4VfjTAKz \
    -H "Authorization: Bearer ch_sk_test_..."
  ```
</RequestExample>

<ResponseExample>
  ```json Response theme={null}
  {
      "id": "est_Q2ySLHRmzrj0JGczEMUtd5JL4VfjTAKz",
      "object": "estimation",
      "battery_level": 28,
      "battery_target_level": 80,
      "charging_station": "chst_t9phYKCYoiZARfXm9v95eAyL1gSBv1Qo",
      "cost_breakdown": [
          {
              "cost": 1542,
              "description": "Off-peak energy rate",
              "quantity": 18.25,
              "tax_percent": "20%",
              "type": "energy",
              "unit": "kWh",
              "unit_price": 85
          },
          {
              "cost": 300,
              "description": "Session fee",
              "quantity": null,
              "tax_percent": null,
              "type": "session_fee",
              "unit": null,
              "unit_price": null
          }
      ],
      "created": "2026-04-01T00:37:10.811Z",
      "currency": "eur",
      "estimated_duration": 3600,
      "estimated_energy_kwh": 18.25,
      "estimated_total_cost": 1842,
      "valid_until": "2026-04-01T01:37:40.991Z",
      "vehicle": "veh_xtZiyPrudCADvY89nwQtb8xAjsFtnAmV"
  }
  ```
</ResponseExample>

## Parameters

No parameters.

## Returns

Returns the estimation.
